import type { DecryptedMessageContext, EncryptedMessage } from '../types';
import type { AgentMessage } from './AgentMessage';
import { Wallet } from '../wallet/Wallet';
import { AgentConfig } from './AgentConfig';
export interface EnvelopeKeys {
    recipientKeys: string[];
    routingKeys: string[];
    senderKey: string | null;
}
declare class EnvelopeService {
    private wallet;
    private logger;
    private config;
    constructor(wallet: Wallet, agentConfig: AgentConfig);
    packMessage(payload: AgentMessage, keys: EnvelopeKeys): Promise<EncryptedMessage>;
    unpackMessage(encryptedMessage: EncryptedMessage): Promise<DecryptedMessageContext>;
}
export { EnvelopeService };
