import type { ConnectionRecord } from '../../modules/connections';
import type { AgentMessage } from '../AgentMessage';
export interface MessageContextParams {
    connection?: ConnectionRecord;
    senderVerkey?: string;
    recipientVerkey?: string;
}
export declare class InboundMessageContext<T extends AgentMessage = AgentMessage> {
    message: T;
    connection?: ConnectionRecord;
    senderVerkey?: string;
    recipientVerkey?: string;
    constructor(message: T, context?: MessageContextParams);
    /**
     * Assert the inbound message has a ready connection associated with it.
     *
     * @throws {AriesFrameworkError} if there is no connection or the connection is not ready
     */
    assertReadyConnection(): ConnectionRecord;
}
