import { Repository } from '../../../storage/Repository';
import { StorageService } from '../../../storage/StorageService';
import { ConnectionRecord } from './ConnectionRecord';
export declare class ConnectionRepository extends Repository<ConnectionRecord> {
    constructor(storageService: StorageService<ConnectionRecord>);
    findByDids({ ourDid, theirDid }: {
        ourDid: string;
        theirDid: string;
    }): Promise<ConnectionRecord | null>;
    findByVerkey(verkey: string): Promise<ConnectionRecord | null>;
    findByTheirKey(verkey: string): Promise<ConnectionRecord | null>;
    findByInvitationKey(key: string): Promise<ConnectionRecord | null>;
    getByThreadId(threadId: string): Promise<ConnectionRecord>;
}
