import type { CredOffer } from 'indy-sdk';
import { AgentMessage } from '../../../agent/AgentMessage';
import { Attachment } from '../../../decorators/attachment/Attachment';
import { CredentialPreview } from './CredentialPreview';
export declare const INDY_CREDENTIAL_OFFER_ATTACHMENT_ID = "libindy-cred-offer-0";
export interface OfferCredentialMessageOptions {
    id?: string;
    comment?: string;
    offerAttachments: Attachment[];
    credentialPreview: CredentialPreview;
    attachments?: Attachment[];
}
/**
 * Message part of Issue Credential Protocol used to continue or initiate credential exchange by issuer.
 *
 * @see https://github.com/hyperledger/aries-rfcs/blob/master/features/0036-issue-credential/README.md#offer-credential
 */
export declare class OfferCredentialMessage extends AgentMessage {
    constructor(options: OfferCredentialMessageOptions);
    readonly type = "https://didcomm.org/issue-credential/1.0/offer-credential";
    static readonly type = "https://didcomm.org/issue-credential/1.0/offer-credential";
    comment?: string;
    credentialPreview: CredentialPreview;
    offerAttachments: Attachment[];
    get indyCredentialOffer(): CredOffer | null;
}
