"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSignatureKeyBase = void 0;
const DidDocumentBuilder_1 = require("../DidDocumentBuilder");
function getSignatureKeyBase({ did, key, verificationMethod, }) {
    const keyId = `${did}#${key.fingerprint}`;
    return new DidDocumentBuilder_1.DidDocumentBuilder(did)
        .addVerificationMethod(verificationMethod)
        .addAuthentication(keyId)
        .addAssertionMethod(keyId)
        .addCapabilityDelegation(keyId)
        .addCapabilityInvocation(keyId);
}
exports.getSignatureKeyBase = getSignatureKeyBase;
//# sourceMappingURL=getSignatureKeyBase.js.map