import type { DidDocument } from '../DidDocument';
import type { Key } from '../Key';
import type { VerificationMethod } from '../verificationMethod';
import { KeyType } from '../../../../crypto';
export interface KeyDidMapping {
    getVerificationMethods: (did: string, key: Key) => VerificationMethod[];
    getDidDocument: (did: string, key: Key) => DidDocument;
    getKeyFromVerificationMethod(verificationMethod: VerificationMethod): Key;
    supportedVerificationMethodTypes: string[];
}
export declare function getKeyDidMappingByKeyType(keyType: KeyType): KeyDidMapping;
export declare function getKeyDidMappingByVerificationMethod(verificationMethod: VerificationMethod): KeyDidMapping;
