import type { DidDocument } from '../../domain';
import { Key } from '../../domain/Key';
export declare const enum PeerDidNumAlgo {
    InceptionKeyWithoutDoc = 0,
    GenesisDoc = 1,
    MultipleInceptionKeyWithoutDoc = 2
}
export declare class DidPeer {
    private readonly parsedDid;
    private readonly _didDocument?;
    private constructor();
    static fromKey(key: Key): DidPeer;
    static fromDid(did: string): DidPeer;
    static fromDidDocument(didDocument: DidDocument, numAlgo?: PeerDidNumAlgo.GenesisDoc | PeerDidNumAlgo.MultipleInceptionKeyWithoutDoc): DidPeer;
    get did(): string;
    get numAlgo(): PeerDidNumAlgo;
    private get identifierWithoutNumAlgo();
    private isValidPeerDid;
    get didDocument(): DidDocument;
}
