import type { TagsBase } from '../../../storage/BaseRecord';
import { BaseRecord } from '../../../storage/BaseRecord';
import { DidDocument } from '../domain';
import { DidDocumentRole } from '../domain/DidDocumentRole';
export interface DidRecordProps {
    id: string;
    role: DidDocumentRole;
    didDocument?: DidDocument;
    createdAt?: Date;
    tags?: CustomDidTags;
}
interface CustomDidTags extends TagsBase {
    recipientKeys?: string[];
}
export declare type DefaultDidTags = TagsBase;
export declare class DidRecord extends BaseRecord<DefaultDidTags, CustomDidTags> implements DidRecordProps {
    didDocument?: DidDocument;
    role: DidDocumentRole;
    static readonly type = "DidDocumentRecord";
    readonly type = "DidDocumentRecord";
    constructor(props: DidRecordProps);
    getTags(): {
        [x: string]: import("../../../storage/BaseRecord").TagValue;
        [x: number]: never;
        recipientKeys?: string[] | undefined;
    };
}
export {};
