import type { BaseRecord } from './BaseRecord';
import type { StorageService, BaseRecordConstructor } from './StorageService';
import { AgentConfig } from '../agent/AgentConfig';
import { IndyWallet } from '../wallet/IndyWallet';
export declare class IndyStorageService<T extends BaseRecord> implements StorageService<T> {
    private wallet;
    private indy;
    private static DEFAULT_QUERY_OPTIONS;
    constructor(wallet: IndyWallet, agentConfig: AgentConfig);
    private transformToRecordTagValues;
    private transformFromRecordTagValues;
    private recordToInstance;
    /** @inheritDoc */
    save(record: T): Promise<void>;
    /** @inheritDoc */
    update(record: T): Promise<void>;
    /** @inheritDoc */
    delete(record: T): Promise<void>;
    /** @inheritDoc */
    getById(recordClass: BaseRecordConstructor<T>, id: string): Promise<T>;
    /** @inheritDoc */
    getAll(recordClass: BaseRecordConstructor<T>): Promise<T[]>;
    /** @inheritDoc */
    findByQuery(recordClass: BaseRecordConstructor<T>, query: Partial<ReturnType<T['getTags']>>): Promise<T[]>;
    private search;
}
