import type { AgentMessage } from '../../agent/AgentMessage';
import type { DidCommMessageRole } from './DidCommMessageRole';
import { Repository } from '../Repository';
import { StorageService } from '../StorageService';
import { DidCommMessageRecord } from './DidCommMessageRecord';
export declare class DidCommMessageRepository extends Repository<DidCommMessageRecord> {
    constructor(storageService: StorageService<DidCommMessageRecord>);
    saveAgentMessage({ role, agentMessage, associatedRecordId }: SaveAgentMessageOptions): Promise<void>;
    saveOrUpdateAgentMessage(options: SaveAgentMessageOptions): Promise<void>;
    getAgentMessage<MessageClass extends typeof AgentMessage = typeof AgentMessage>({ associatedRecordId, messageClass, }: GetAgentMessageOptions<MessageClass>): Promise<InstanceType<MessageClass>>;
    findAgentMessage<MessageClass extends typeof AgentMessage = typeof AgentMessage>({ associatedRecordId, messageClass, }: GetAgentMessageOptions<MessageClass>): Promise<InstanceType<MessageClass> | null>;
}
export interface SaveAgentMessageOptions {
    role: DidCommMessageRole;
    agentMessage: AgentMessage;
    associatedRecordId: string;
}
export interface GetAgentMessageOptions<MessageClass extends typeof AgentMessage> {
    associatedRecordId: string;
    messageClass: MessageClass;
}
